---
title: Use cases
sidebar_position: 6
---

Waku is a decentralised communication network, facilitating secure and private person-to-person and machine-to-machine communication without a central authority. It supports various use cases, including but not limited to:

### Chat messengers

Waku can be used as the communication layer when building a private, decentralised, and censorship resistant messenger.

#### Demos

* [Status Web](https://github.com/status-im/status-web)

### Polls

With Waku, you can create, answer, and view censorship resistant polls, promoting a democratic and transparent voting environment immune to manipulation and censorship.

#### Demos

* [Waku Connect Poll SDK](https://github.com/status-im/wakuconnect-vote-poll-sdk)

### NFT marketplaces

Waku can be used to take NFT bids and offers off-chain, enabling gas savings. Additionally, it allows for adding a social media layer, enabling NFT owners to like, comment, and perform other social actions.

#### Demos

* [SmolPuddle Marketplace](https://github.com/Agusx1211/smolpuddle-web)

### State channels

Waku can enable two parties to establish and sustain a state channel effortlessly, facilitating message exchange and seamless updates to their shared agreement without direct blockchain involvement.

### Voting and proposals

To save on gas fees, votes for proposals submitted on the blockchain can be exchanged over Waku. These votes can then be aggregated and submitted to the blockchain to commit the result.

#### Demos

* [Waku Connect Poll SDK](https://github.com/status-im/wakuconnect-vote-poll-sdk)

### Signature exchange for multi-signature wallets

Waku can enable multiple owners of a given multi-signature wallet to exchange signatures in a decentralised, private, and censorship resistant manner, allowing for the approval of transactions.

### Game mechanics communication

Waku can be used as the communication layer for a peer-to-peer, decentralised game, eliminating the need for a centralised infrastructure for gameplay communications.

#### Demos

* [Super Card Game](https://github.com/fjij/ethonline-2021)

### DApp to wallet communication

DApp operators can use communication between a user's wallet and their DApp to notify users (e.g., governance token holders can be notified to vote on a proposal) or to request transaction signatures from the wallet.

#### Demos

* [WalletConnect 2.0](https://walletconnect.com/)
* [HashPack](https://www.hashpack.app/hashconnect)

### Layer 2 coordination (open market, spam protected mempool)

Waku can broadcast and aggregate Layer 2 transactions to enhance privacy, anonymity, and resilience. Aggregating transactions reduces network load and improves scalability, ensuring a more robust Layer 2 ecosystem.

### Generalised marketplaces

Waku can enable users to offer, bid, accept, and trade goods and services, making it possible to create ride-sharing or trading apps.

#### Demos

* [Waku-Uber](https://github.com/TheBojda/waku-uber)

### Social media platforms

While chat messengers are a type of social media that can be decentralised and made censorship resistant through Waku, other forms of social media, such as news feeds, blog posts, and audio or video sharing, can also benefit from using Waku.