---
title: Why Waku?
sidebar_position: 5
---

Present-day communication is predominantly centralised, enabling significant third-party intervention, with profit motives overshadowing principles and downplaying censorship and privacy concerns. This shift leads to the exploitation and unauthorised use of user data in the surveillance economy, where data ownership is no longer in the hands of individuals.

Waku transforms how individuals communicate and manage data by offering a scalable, decentralised solution that grants ultimate control.

- Waku improves upon Whisper's capabilities by overcoming limitations and addressing functional gaps.
- Provides a public infrastructure for the Ethereum and multi-chain ecosystem, serving as a common good.
- Waku is not confined to a particular blockchain.
- Modular, adaptable, configurable, and can cater to various use cases.
- Enables developers to decentralise communication in their DApps or move actions off-chain while maintaining decentralisation.
- Designed to run on various platforms, including mobile devices, cloud environments, web browsers, desktop apps, or even a [Dappnode](https://dappnode.com/)!

## Why Waku is necessary

| | Whisper | Waku |
| - | - | - |
| **Scalability** | Whisper does not scale very well, specifically when it comes to bandwidth usage on mobile devices. | Uses GossipSub and Content Topics. |
| **Spam Resistance** | Proof of work requires too much battery and compute power making it a poor mechanism for heterogeneous nodes. | Uses innovative p2p economic spam protection mechanism RLN Relay. |
| **Incentivisation Infrastructure** | There is no incentive to run a Whisper node. | Research in progress to design incentivisation for node operators. |
| **Formal Specification/Documentation** | Lack of formal and unambiguous specification. | The specs and docs are open-source and licenced under CC0, making them freely available for anyone to read, modify and improve without restrictions. |
| **Portability** | Runs over devp2p which limits where Whisper can run and how. | Waku is built using libp2p, making it easy to run Waku anywhere. |